=== debian/changelog ===
octave-sparsersb (1.0.5-1build1) artful; urgency=medium

  * No-change rebuild against liboctave4

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 26 Jun 2017 03:55:31 +0000

octave-sparsersb (1.0.5-1) unstable; urgency=medium

  * New upstream version 1.0.5
  * d/copyright: Reflect upstream changes
  * d/p/avoid-rpath.patch: Drop patch (applied upstream)
  * d/p/drop-power-operator-test.patch: Drop patch (applied upstream)
  * d/rules: Prevent the compression of *.m examples

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 31 Mar 2017 02:40:52 -0300

octave-sparsersb (1.0.2-3) unstable; urgency=medium

  * d/p/drop-power-operator-test.patch: Add patch.
    Thanks to Michele Martone for the suggestion (Closes: #857899)

 -- Rafael Laboissiere <rafael@debian.org>  Mon, 20 Mar 2017 16:53:21 -0300

octave-sparsersb (1.0.2-2) unstable; urgency=medium

  * Upload to unstable
  * d/control: Fix typo in package short description

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 15 Mar 2017 17:47:25 -0300

octave-sparsersb (1.0.2-1) experimental; urgency=low

  * Initial release (closes: #857787)

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 20 Aug 2016 16:19:38 -0300
