=== debian/control ===
Source: octave-sparsersb
Section: math
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
Uploaders: Rafael Laboissiere <rafael@debian.org>
Build-Depends: debhelper (>= 10), cdbs, octave-pkg-dev (>= 1.4.4),
 librsb-dev, autoconf
Standards-Version: 3.9.8
Homepage: http://octave.sourceforge.net/sparsersb/
Vcs-Git: https://anonscm.debian.org/git/pkg-octave/octave-sparsersb.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-octave/octave-sparsersb.git

Package: octave-sparsersb
Architecture: any
Depends: ${misc:Depends}, ${octave:Depends}, ${shlibs:Depends}
Description: RSB sparse matrix manipulation for Octave
 This package contains an interface to the librsb package implementing
 the Recursive Sparse Blocks (RSB) sparse matrix format for fast
 shared-memory sparse matrix computations in Octave, a scientific
 computation software.
 .
 This Octave add-on package is part of the Octave-Forge project.
