=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/cdbs/1/class/octave-pkg.mk

DEB_COMPRESS_EXCLUDE = .m

pre-build::
	( cd src ; autoconf )

### Move Octave scripts into the examples directory
SHAREDIR = debian/octave-sparsersb/usr/share
EXAMPLESDIR = $(SHAREDIR)/doc/octave-sparsersb/examples
OCTDIR = $(SHAREDIR)/octave/packages/sparsersb-*
BINDIR = $(OCTDIR)/bin
install/octave-sparsersb::
	mkdir -p $(EXAMPLESDIR)
	mv $(OCTDIR)/sparsersb*.m $(BINDIR)/*.m $(BINDIR)/pd.mtx $(EXAMPLESDIR)
	chmod -x $(EXAMPLESDIR)/*
	rm -rf $(BINDIR)
	rm -f $(OCTDIR)/doc-cache $(BINDIR)/doc-cache

check-pkg::
	make OCTAVE=octave-cli -C src/ check
