=== debian/watch ===
version=3
http://sf.net/octave/sparsersb-(.+)\.tar\.gz
