=== debian/control ===
Source: octave-sparsersb
Section: math
Priority: optional
Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
Uploaders: Rafael Laboissiere <rafael@debian.org>
Build-Depends: autoconf,
               debhelper-compat (= 12),
               dh-octave (>= 0.7.1),
               librsb-dev
Standards-Version: 4.4.1
Homepage: https://octave.sourceforge.io/sparsersb/
Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-sparsersb.git
Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-sparsersb
Testsuite: autopkgtest-pkg-octave
Rules-Requires-Root: no

Package: octave-sparsersb
Architecture: any
Depends: ${misc:Depends}, ${octave:Depends}, ${shlibs:Depends}
Description: RSB sparse matrix manipulation for Octave
 This package contains an interface to the librsb package implementing
 the Recursive Sparse Blocks (RSB) sparse matrix format for fast
 shared-memory sparse matrix computations in Octave, a scientific
 computation software.
 .
 This Octave add-on package is part of the Octave-Forge project.
