=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --buildsystem=octave --with=octave

DEB_COMPRESS_EXCLUDE = .m

override_dh_auto_configure:
	( cd src ; autoconf )

### Move Octave scripts into the examples directory
SHAREDIR = debian/octave-sparsersb/usr/share
EXAMPLESDIR = $(SHAREDIR)/doc/octave-sparsersb/examples
OCTDIR = $(SHAREDIR)/octave/packages/sparsersb-*
BINDIR = $(OCTDIR)/bin
override_dh_auto_install:
	dh_auto_install
	mkdir -p $(EXAMPLESDIR)
	mv $(OCTDIR)/sparsersb*.m $(BINDIR)/*.m $(BINDIR)/pd.mtx $(EXAMPLESDIR)
	chmod -x $(EXAMPLESDIR)/*
	rm -rf $(BINDIR)
	rm -f $(OCTDIR)/doc-cache $(BINDIR)/doc-cache
