=== debian/watch ===
version=4
http://sf.net/octave/sparsersb-(.+)\.tar\.gz
