## octave-sparsersb 1.0.8

=== src/Makefile ===
--- 
+++ 
@@ -1,8 +1,24 @@
+#
+# Copyright (C) 2011-2020   Michele Martone   <michelemartone _AT_ users.sourceforge.net>
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, see <http://www.gnu.org/licenses/>.
+#
 sinclude Makeconf
 # Makeconf is created by the configure script.
 # You can also not use it but set explicitly the following:
 CXXFLAGS=$(SPARSERSB_CXXFLAGS) $(OCTAVE_FUNC_DEFINES)
-LFLAGS=$(shell $(MKOCTFILE) -p LFLAGS) $(SPARSERSB_LDFLAGS)
+LDFLAGS=$(shell $(MKOCTFILE) -p LDFLAGS) $(SPARSERSB_LDFLAGS)
 CXXFLAGS_CXX11=$(SPARSERSB_CXX11)
 
 .PHONY: all check
@@ -19,11 +35,13 @@
 #		# make -C $(RSBLIBDIR) ; fi
 
 $(SPARSERSB_OCT): sparsersb.cc
-	LFLAGS="$(LFLAGS)" CXXFLAGS="$(CXXFLAGS) $(CXXFLAGS_CXX11)" $(MKOCTFILE) -D'RSB_SPARSERSB_LABEL=sparsersb' -o $@ $< 
+	LFLAGS="$(LDFLAGS)" LDFLAGS="$(LDFLAGS)" CXXFLAGS="$(CXXFLAGS) $(CXXFLAGS_CXX11)" $(MKOCTFILE) -D'RSB_SPARSERSB_LABEL=sparsersb' -o $@ $<
 rtest: $(SPARSERSB_OCT)
 	SPARSERSB_TEST=1 $(OCTAVE) --norc --silent ../inst/sparsersbtester.m
 	SPARSERSB_TEST=1 $(OCTAVE) --norc --silent ../bin/octavebench.m ../bin/pd.mtx
 	SPARSERSB_TEST=1 $(OCTAVE) --norc --silent ../bin/octavebench.m 
+	SPARSERSB_TEST=1 $(OCTAVE) --norc --silent --eval 'test sparsersbtg'
+	SPARSERSB_TEST=1 $(OCTAVE) --norc --silent --eval 'test sparsersb'
 
 bench: $(SPARSERSB_OCT)
 	SPARSERSB_TEST=1 $(OCTAVE) --norc --silent ../bin/obench.m
@@ -39,6 +57,10 @@
 clean:
 	-$(RM) *.o octave-core core *.oct *~ tags
 
+srut:
+	awk -f srut.awk < sparsersb.cc  > sparsersb.cc.new
+	mv sparsersb.cc.new sparsersb.cc
+
 # This is expected to work on author's machine.
 #dist_old:
 #	echo "warning: we are making a tarball out of SVN repositories: NOT this checked out copy."
@@ -51,7 +73,7 @@
 #	tar czf $(PACKAGE_NAME).tgz $(PACKAGE_NAME)
 #	tar tzf $(PACKAGE_NAME).tgz
 
-SPARSERSB=sparsersb-1.0.5
+SPARSERSB=sparsersb-1.0.8
 ARCHIVE=$(HOME)/src/sparsersb-archives
 GPGSIGNCMD=gpg -sbav -u 1DBB555AEA359B8AAF0C6B88E0E669C8EF1258B8
