=== debian/changelog ===
octave-sparsersb (1.0.8-3) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 09 Dec 2020 18:21:54 +0100

octave-sparsersb (1.0.8-2) experimental; urgency=medium

  [ Michele Martone ]
  * fix: sparsersbtg test and call it from `make tests'

  [ Rafael Laboissière ]
  * d/clean: Delete left-over files src/*.cc-tst
  * d/control: Bump Standards-Version to 4.5.1 (no changes needed)
  * d/p/build-against-octave-6.patch: New patch (Closes: #976205)

 -- Rafael Laboissière <rafael@debian.org>  Thu, 03 Dec 2020 11:49:13 -0300

octave-sparsersb (1.0.8-1) unstable; urgency=medium

  * New upstream version 1.0.8
  * d/control: Restrain the build-dependency on librsb-dev to >= 1.2.0.9
  * d/clean: New file

 -- Rafael Laboissière <rafael@debian.org>  Mon, 17 Aug 2020 02:56:10 -0300

octave-sparsersb (1.0.7-2) unstable; urgency=medium

  * d/u/metadata: Drop Name and Contact fields

 -- Rafael Laboissière <rafael@debian.org>  Fri, 31 Jul 2020 07:03:30 -0300

octave-sparsersb (1.0.7-1) unstable; urgency=medium

  * New upstream version 1.0.7
  * d/copyright: Reflect upstream changes
  * d/p/do-not-strip-debugging-symbols.patch: Drop patch (applied upstream)
  * d/control: Bump Standards-Version to 4.5.0 (no changes needed)
  * d/u/metadata: New file
  * d/control: Bump debhelper compatibitlity level to 13

 -- Rafael Laboissière <rafael@debian.org>  Thu, 21 May 2020 17:33:23 -0300
