=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: math
 Priority: optional
 Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
-Uploaders: Rafael Laboissiere <rafael@debian.org>
+Uploaders: Rafael Laboissière <rafael@debian.org>
 Build-Depends: autoconf,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                dh-octave (>= 0.7.1),
-               librsb-dev
-Standards-Version: 4.4.1
+               librsb-dev (>= 1.2.0.9)
+Standards-Version: 4.5.1
 Homepage: https://octave.sourceforge.io/sparsersb/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-sparsersb.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-sparsersb
