=== debian/changelog ===
octave-sparsersb (1.0.9-8) unstable; urgency=medium

  * Team upload

  [ Rafael Laboissière ]
  * d/control: Drop the versioned dependency on dh-octave.
    Relationship >= 1.2.3 is satisfiable in oldoldstable, which has version
    1.2.7.
  * d/control: Bump Standards-Version to 4.7.2 (no changes needed)
  * d/control: Drop “Rules-Requires-Root: no”, which is now the default

  [ Sébastien Villemot ]
  * no-cxx11.patch: new patch, fixes FTBFS against Octave 10 (Closes: #1114622)

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 20 Sep 2025 21:26:51 +0200

octave-sparsersb (1.0.9-7) unstable; urgency=medium

  * d/u/metadata:
    + Add Repository URL
    + Add Documentation URL
  * d/p/deprecated-dot-minus.patch: New patch

 -- Rafael Laboissière <rafael@debian.org>  Sun, 11 Feb 2024 14:10:25 -0300

octave-sparsersb (1.0.9-6) unstable; urgency=medium

  * Team upload

  [ Rafael Laboissière ]
  * d/control: Bump Standards-Version to 4.6.2 (no changes needed)
  * d/control: Update Homepage URL
  * d/copyright: Update Source URL

  [ Sébastien Villemot ]
  * d/clean: clean some files created by the build.
    This ensures that the package builds twice in a row.
    (Closes: #1049086)

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 14 Aug 2023 11:31:36 +0200

octave-sparsersb (1.0.9-5) unstable; urgency=medium

  * d/watch: Adjust for new URL at gnu-octave.github.io
  * d/s/lintian-override: Override Lintian warning debian-watch-lacks-sourceforge-redirector

 -- Rafael Laboissière <rafael@debian.org>  Tue, 20 Dec 2022 18:23:14 -0300

octave-sparsersb (1.0.9-4) unstable; urgency=medium

  * d/control: Bump Standards-Version to 4.6.1 (no changes needed)
  * Build-depend on dh-sequence-octave
    + d/control: Ditto
    + d/rules: Drop the --with=octave option from dh call
  * No need for cleaning *-tst files
    + d/clean: Drop the line with src/*.cc-tst
  * Fix cleaning rules in Makefile and src/Makefile
    + d/p/fix-cleaning.patch: New patch
    + d/clean: Adjust for the new situation
    + d/s/options: Drop obsolete file
  * d/control: Build-depend on dh-octave >= 1.2.3. In this version
    dh_octave_clean removes the src/*-tst files and calls "make
    distclean" for remving the files generated by the configure
    script.
  * d/copyright: Update copyright years of debian/* files

 -- Rafael Laboissière <rafael@debian.org>  Thu, 14 Jul 2022 18:59:13 -0300

octave-sparsersb (1.0.9-3) unstable; urgency=medium

  * Team upload
  * no-internal-mex-fcns.patch: new patch, fixes FTBFS against Octave 7
    (Closes: #1009138)

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 11 Apr 2022 14:53:30 +0200

octave-sparsersb (1.0.9-2) unstable; urgency=medium

  * d/copyright:
    + Accentuate my family name
    + Update copyright years
  * d/p/honor-cxxflags.patch: New patch

 -- Rafael Laboissière <rafael@debian.org>  Wed, 17 Nov 2021 09:50:00 -0300

octave-sparsersb (1.0.9-1) unstable; urgency=medium

  * New upstream version 1.0.9
  * d/p/build-against-octave-6.patch: Drop patch (applied upstream)

 -- Rafael Laboissière <rafael@debian.org>  Tue, 21 Sep 2021 13:34:09 -0300

octave-sparsersb (1.0.8-4) unstable; urgency=medium

  * Use d/autoreconf instead of target override_dh_auto_configure in d/rules
  * d/clean: Remove extra files left over by the building process
  * d/rules: Use execute_after_dh_auto_install instead of
    override_dh_auto_install
  * d/control: Bump Standards-Version to 4.6.0 (no changes needed)
  * Set OMP_NUM_THREADS to a reasonable value when running the tests,
    both at build time and via autopkgtest (Closes: #994426)

 -- Rafael Laboissière <rafael@debian.org>  Sat, 18 Sep 2021 11:13:53 -0300
