=== debian/control ===
--- 
+++ 
@@ -5,14 +5,13 @@
 Uploaders: Rafael Laboissière <rafael@debian.org>
 Build-Depends: autoconf,
                debhelper-compat (= 13),
-               dh-octave (>= 0.7.1),
+               dh-sequence-octave,
                librsb-dev (>= 1.2.0.9)
-Standards-Version: 4.5.1
-Homepage: https://octave.sourceforge.io/sparsersb/
+Standards-Version: 4.7.2
+Homepage: https://gnu-octave.github.io/packages/sparsersb/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-sparsersb.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-sparsersb
 Testsuite: autopkgtest-pkg-octave
-Rules-Requires-Root: no
 
 Package: octave-sparsersb
 Architecture: any
